#
# spec file for package gstreamer-0_10-plugins-base (Version 0.10.21)
#
# Copyright (c) 2009 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild


Name:           gstreamer-0_10-plugins-base
%define _name gst-plugins-base
Version:        0.10.21
Release:        2.21.2
%define gst_branch 0.10
BuildRequires:  alsa-devel cdparanoia check-devel gnome-vfs2-devel
BuildRequires:  gstreamer-0_10-devel gtk-doc gtk2-devel krb5 liboil-devel
BuildRequires:  libtheora-devel libvisual-devel libvorbis-devel python-devel
BuildRequires:  pyxml sgml-skel update-desktop-files
%ifarch %ix86 ppc x86_64
BuildRequires:  valgrind-devel
%endif
License:        GPL v2 or later; LGPL v2.1 or later
Group:          Productivity/Multimedia/Other
Source:         %{_name}-%{version}.tar.bz2
# PATCH-FIX-UPSTREAM gst-plugins-base-CVE-2009-0586.patch bnc481479 CVE-2009-0586 sbrabec@suse.cz -- Memory allocation overflow fix.
Patch:          gst-plugins-base-CVE-2009-0586.patch
Url:            http://gstreamer.freedesktop.org/
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Summary:        GStreamer Streaming-Media Framework Plug-Ins
Supplements:    gstreamer-0_10
# Name up to 10.3:
Provides:       gstreamer010-plugins-base = %{version}
Obsoletes:      gstreamer010-plugins-base < %{version}
# Generic name, never used in SuSE:
Provides:       gst-plugins-base = %{version}
# Nanes of splitted subpackages (<=10.2 and ==SLE10):
Provides:       gstreamer010-plugins-base-oil = %{version}-%{release} gstreamer010-plugins-base-visual = %{version}-%{release}
Obsoletes:      gstreamer010-plugins-base-oil < %{version}-%{release} gstreamer010-plugins-base-visual < %{version}-%{release}
Requires:       %{name}-lang = %{version}
# Core modules may depend on new enough libraries:
Requires:       libgstinterfaces-0_10-0 >= %{version}
Requires:       %{name}-lang = %{version}
PreReq:         filesystem
%define gstreamer010_plugins_base_req %(zgrep --text "^GST.*_REQ" %{S:0} | sort -u | sed 's/GST_REQ=/gstreamer-0_10 >= /')
Requires:       %gstreamer010_plugins_base_req
Recommends:     opensuse-codecs-installer

%description
GStreamer is a streaming media framework based on graphs of filters
that operate on media data. Applications using this library can do
anything media-related, from real-time sound processing to playing
videos. Its plug-in-based architecture means that new data types or
processing capabilities can be added simply by installing new plug-ins.



Authors:
--------
    Erik Walthinsen <omega@temple-baptist.com>
    Matt Howell <mhowell@users.sourceforge.net>
    Brent Bradburn <bbradburn@users.sourceforge.net>
    Wim Taymans <wim.taymans@chello.be>
    Richard Boulton <richard@tartarus.org>
    Zaheer Abbas Merali <zaheerabbas@merali.org>
    David I. Lehn <dlehn@users.sourceforge.net>
    Chris Emerson <chris@tartarus.org>
    Jens Thiele <karme@unforgettable.com>
    Thomas Nyberg <thomas@codefactory.se>
    Bastien Nocera <hadess@hadess.net>
    Christian Fredrik Kalager Schaller <Uraeus@linuxrising.org>
    Thomas Vander Stichele <thomas@apestaart.org>
    Andy Wingo <wingo@pobox.com>
    Cameron Hutchison <camh@xdna.net>
    David Schleef <ds@schleef.org>
    Benjamin Otte <in7y118@public.uni-hamburg.de>
    Ronald Bultje <rbultje@ronald.bitfreak.net>
    Julien Moutte <julien@moutte.net>
    Jan Schmidt <thaytan@mad.scientist.com>
    Arwed v. Merkatz <v.merkatz@gmx.net>

%package -n libgstinterfaces-0_10-0
License:        GPL v2 or later; LGPL v2.1 or later
# This is a library package bundle, which contains more shared
# libraries. Use the name of the lowest level one, because libgstbase
# may cause confusion (it is a part of libgstreamer-0_10-0).
Summary:        GStreamer Streaming-Media Framework Plug-Ins
Group:          System/Libraries
# We want to have base modules installed:
Requires:       %{name}
# Name of previous branch (<10.1 and <SLE10), if not updated:
Obsoletes:      gstreamer-plugin-libs < 0.10

%description -n libgstinterfaces-0_10-0
GStreamer is a streaming media framework based on graphs of filters
that operate on media data. Applications using this library can do
anything media-related, from real-time sound processing to playing
videos. Its plug-in-based architecture means that new data types or
processing capabilities can be added simply by installing new plug-ins.



Authors:
--------
    Erik Walthinsen <omega@temple-baptist.com>
    Matt Howell <mhowell@users.sourceforge.net>
    Brent Bradburn <bbradburn@users.sourceforge.net>
    Wim Taymans <wim.taymans@chello.be>
    Richard Boulton <richard@tartarus.org>
    Zaheer Abbas Merali <zaheerabbas@merali.org>
    David I. Lehn <dlehn@users.sourceforge.net>
    Chris Emerson <chris@tartarus.org>
    Jens Thiele <karme@unforgettable.com>
    Thomas Nyberg <thomas@codefactory.se>
    Bastien Nocera <hadess@hadess.net>
    Christian Fredrik Kalager Schaller <Uraeus@linuxrising.org>
    Thomas Vander Stichele <thomas@apestaart.org>
    Andy Wingo <wingo@pobox.com>
    Cameron Hutchison <camh@xdna.net>
    David Schleef <ds@schleef.org>
    Benjamin Otte <in7y118@public.uni-hamburg.de>
    Ronald Bultje <rbultje@ronald.bitfreak.net>
    Julien Moutte <julien@moutte.net>
    Jan Schmidt <thaytan@mad.scientist.com>
    Arwed v. Merkatz <v.merkatz@gmx.net>

%package devel
License:        GPL v2 or later; LGPL v2.1 or later
Summary:        Include files and libraries mandatory for development with gstreamer-0_10-plugins-base
Group:          Development/Libraries/C and C++
Requires:       %{name} = %{version} gstreamer-0_10-devel
Requires:       glib2-devel
# Name up to 10.3:
Provides:       gstreamer010-plugins-base-devel = %{version}
Obsoletes:      gstreamer010-plugins-base-devel < %{version}
# Generic name, never used in SuSE:
Provides:       gst-plugins-base-devel = %{version}

%description devel
This package contains all necessary include files and libraries needed
to compile and link applications that use gstreamer-0_10-plugins-base.



Authors:
--------
    Erik Walthinsen <omega@temple-baptist.com>
    Matt Howell <mhowell@users.sourceforge.net>
    Brent Bradburn <bbradburn@users.sourceforge.net>
    Wim Taymans <wim.taymans@chello.be>
    Richard Boulton <richard@tartarus.org>
    Zaheer Abbas Merali <zaheerabbas@merali.org>
    David I. Lehn <dlehn@users.sourceforge.net>
    Chris Emerson <chris@tartarus.org>
    Jens Thiele <karme@unforgettable.com>
    Thomas Nyberg <thomas@codefactory.se>
    Bastien Nocera <hadess@hadess.net>
    Christian Fredrik Kalager Schaller <Uraeus@linuxrising.org>
    Thomas Vander Stichele <thomas@apestaart.org>
    Andy Wingo <wingo@pobox.com>
    Cameron Hutchison <camh@xdna.net>
    David Schleef <ds@schleef.org>
    Benjamin Otte <in7y118@public.uni-hamburg.de>
    Ronald Bultje <rbultje@ronald.bitfreak.net>
    Julien Moutte <julien@moutte.net>
    Jan Schmidt <thaytan@mad.scientist.com>
    Arwed v. Merkatz <v.merkatz@gmx.net>

%package doc
License:        GPL v2 or later; LGPL v2.1 or later
Summary:        Documentation for gstreamer-0_10-plugins-base
Group:          Development/Libraries/C and C++
Requires:       %{name} = %{version}
# Name up to 10.3:
Provides:       gstreamer010-plugins-base-doc = %{version}
Obsoletes:      gstreamer010-plugins-base-doc < %{version}
# Generic name, never used in SuSE:
Provides:       gst-plugins-base-doc = %{version}

%description doc
This package contains documentation for the gstreamer-0_10-plugins-base
package.



Authors:
--------
    Erik Walthinsen <omega@temple-baptist.com>
    Matt Howell <mhowell@users.sourceforge.net>
    Brent Bradburn <bbradburn@users.sourceforge.net>
    Wim Taymans <wim.taymans@chello.be>
    Richard Boulton <richard@tartarus.org>
    Zaheer Abbas Merali <zaheerabbas@merali.org>
    David I. Lehn <dlehn@users.sourceforge.net>
    Chris Emerson <chris@tartarus.org>
    Jens Thiele <karme@unforgettable.com>
    Thomas Nyberg <thomas@codefactory.se>
    Bastien Nocera <hadess@hadess.net>
    Christian Fredrik Kalager Schaller <Uraeus@linuxrising.org>
    Thomas Vander Stichele <thomas@apestaart.org>
    Andy Wingo <wingo@pobox.com>
    Cameron Hutchison <camh@xdna.net>
    David Schleef <ds@schleef.org>
    Benjamin Otte <in7y118@public.uni-hamburg.de>
    Ronald Bultje <rbultje@ronald.bitfreak.net>
    Julien Moutte <julien@moutte.net>
    Jan Schmidt <thaytan@mad.scientist.com>
    Arwed v. Merkatz <v.merkatz@gmx.net>

%lang_package
%prep
%setup -q -n %{_name}-%{version}
%patch -p1

%build
# FIXME: GTKDOC_CFLAGS, GST_OBJ_CFLAGS:
# Silently ignored compilation of uninstalled gtk-doc scanners without RPM_OPT_FLAGS.
NOCONFIGURE=1 ./autogen.sh
export CFLAGS="$RPM_OPT_FLAGS -fno-strict-aliasing"
%configure\
	--disable-static\
	--enable-experimental\
	--enable-gtk-doc\
	--with-install-plugins-helper=%{_prefix}/lib/opensuse-codecs-installer
make %{?jobs:-j%jobs}

%install
%makeinstall
rm $RPM_BUILD_ROOT%{_libdir}/gstreamer-%{gst_branch}/*.*a
%find_lang %{_name}-%{gst_branch}

%clean
rm -rf $RPM_BUILD_ROOT

%post -n libgstinterfaces-0_10-0 -p /sbin/ldconfig

%postun -n libgstinterfaces-0_10-0 -p /sbin/ldconfig

%files
%defattr(-, root, root)
%doc AUTHORS COPYING COPYING.LIB NEWS README RELEASE REQUIREMENTS
%{_bindir}/gst-visualise-%{gst_branch}
%{_libdir}/gstreamer-%{gst_branch}/libgstadder.so
%{_libdir}/gstreamer-%{gst_branch}/libgstalsa.so
%{_libdir}/gstreamer-%{gst_branch}/libgstaudioconvert.so
%{_libdir}/gstreamer-%{gst_branch}/libgstaudioresample.so
%{_libdir}/gstreamer-%{gst_branch}/libgstaudiotestsrc.so
%{_libdir}/gstreamer-%{gst_branch}/libgstaudiorate.so
%{_libdir}/gstreamer-%{gst_branch}/libgstcdparanoia.so
%{_libdir}/gstreamer-%{gst_branch}/libgstdecodebin.so
%{_libdir}/gstreamer-%{gst_branch}/libgstdecodebin2.so
%{_libdir}/gstreamer-%{gst_branch}/libgstffmpegcolorspace.so
%{_libdir}/gstreamer-%{gst_branch}/libgstgio.so
%{_libdir}/gstreamer-%{gst_branch}/libgstgnomevfs.so
%{_libdir}/gstreamer-%{gst_branch}/libgstlibvisual.so
%{_libdir}/gstreamer-%{gst_branch}/libgstogg.so
%{_libdir}/gstreamer-%{gst_branch}/libgstpango.so
%{_libdir}/gstreamer-%{gst_branch}/libgstplaybin.so
%{_libdir}/gstreamer-%{gst_branch}/libgstqueue2.so
%{_libdir}/gstreamer-%{gst_branch}/libgstsubparse.so
%{_libdir}/gstreamer-%{gst_branch}/libgsttcp.so
%{_libdir}/gstreamer-%{gst_branch}/libgsttheora.so
%{_libdir}/gstreamer-%{gst_branch}/libgsttypefindfunctions.so
%{_libdir}/gstreamer-%{gst_branch}/libgstvideo4linux.so
%{_libdir}/gstreamer-%{gst_branch}/libgstvideorate.so
%{_libdir}/gstreamer-%{gst_branch}/libgstvideoscale.so
%{_libdir}/gstreamer-%{gst_branch}/libgstvideotestsrc.so
%{_libdir}/gstreamer-%{gst_branch}/libgstvolume.so
%{_libdir}/gstreamer-%{gst_branch}/libgstvorbis.so
%{_libdir}/gstreamer-%{gst_branch}/libgstximagesink.so
%{_libdir}/gstreamer-%{gst_branch}/libgstxvimagesink.so
%{_libdir}/gstreamer-%{gst_branch}/libgstgdp.so
%doc %{_mandir}/man1/*.*

%files lang -f %{_name}-%{gst_branch}.lang

%files -n libgstinterfaces-0_10-0
%defattr(-, root, root)
%{_libdir}/*.so.*

%files devel
%defattr(-, root, root)
%{_includedir}/gstreamer-%{gst_branch}/*
%{_libdir}/*.so
%{_libdir}/*.*a
%{_libdir}/pkgconfig/*.pc

%files doc
%defattr(-, root, root)
%{_datadir}/gtk-doc/html/gst-plugins-base-libs-%{gst_branch}
%{_datadir}/gtk-doc/html/gst-plugins-base-plugins-%{gst_branch}

%changelog
* Mon Mar 30 2009 sbrabec@suse.cz
- Fixed Vorbis cover art memory allocation overflow (bnc#481479,
  CVE-2009-0586).
* Thu Nov  6 2008 sbrabec@suse.cz
- Re-enabled gio (bnc#441855).
- Fixed valgrid BuildRequires.
* Thu Oct 23 2008 maw@suse.de
- Update to version 0.10.21:
  + Continued playbin2 development
  + Ogg improvements - CELT support, skeleton fixes
  + DVD subpicture support
  + Improved audio dithering random number generator
  + xvimagesink/ximagesink fixes
  + Vorbis encoding and decoding fixes
  + Recognise Kate subtitle streams
  + Bugs fixed: bgo#537380, bgo#538656, bgo#540334, bgo#528299,
    bgo#530068, bgo#537009, bgo#537045, bgo#537599, bgo#537889,
    bgo#538232, bgo#538663, bgo#540215, bgo#540351, bgo#540497,
    bgo#541358, bgo#544306, bgo#548898, bgo#548913, bgo#549062,
    bgo#549814, bgo#550582, bgo#550638, bgo#550656, bgo#550729,
    bgo#552960, and bgo#553244
  + New API:
  * Add "index" property to GstMixerTrack to differantiate
    between multiple mixer tracks with the same label.
* Thu Sep  4 2008 mboman@novell.com
- Updated to version 0.10.20:
  + RTP improvements
  + Support digest auth for RTSP
  + Additional documentation
  + Support DSCP QoS in multifdsink
  + Add NV12/NV21 video buffer layouts
  + Video scaling now bilinear by default
  + Support more than 8 channels in audio conversions
  + Channel mapping fixes for audioconvert
  + Improve tmplayer and sami subtitle support
  + Support 1x1 pixel buffers for videoscale
  + Typefinding improvements for MPEG2, musepack
  + Ogg/Dirac mapping updated in oggmux
  + Fixes in ogg demuxing
  + audiosink synchronisation and slaving fixes
  + Support muting of the audio in playbin by selecting -1 as the audio
    stream
  + Work done on playbin2 and uridecodebin
  + Improvements in the experimental GIO plugin
  + decodebin fixes
  + Handle GAP buffers in some places
  + Various other leak and bug-fixes
* Wed May 14 2008 cthiel@suse.de
- fix baselibs.conf
* Tue Apr 29 2008 cthiel@suse.de
- obsolete gstreamer010-plugins-base-<arch> via baselibs.conf
* Mon Apr 14 2008 jpr@suse.de
- Disable the gio plugin temporarily until dbus generated uid on
  install
* Thu Apr 10 2008 ro@suse.de
- added baselibs.conf file to build xxbit packages
  for multilib support
* Tue Apr  8 2008 sbrabec@suse.cz
- Updated to version 0.10.19:
  * Handle EAGAIN when polling sockets in rtspconnection
- Enabled GIO support.
- Fixed Obsoletes (bnc#357153).
* Wed Apr  2 2008 maw@suse.de
- Update to version 0.10.18:
  + Experimental GIO plugin
  + Continued playbing2 development
  + RTP fixes
  + New API:
  * GstRTPBuffer:gst_rtp_buffer_set_extension_data()
  * add GST_VIDEO_FORMAT_Y41B and GST_VIDEO_FORMAT_Y42B
  * add GstMixerOptions::get_values vfunc (bgo#519906)
  * add gst_mixer_options_list_changed(),
    gst_mixer_mixer_changed() and
    gst_mixer_message_parse_options_list_changed() (bgo#519916)
  * gst_base_rtp_audio_payload_set_samplebits_options()
  * GstNetBuffer::gst_netaddress_equal
  + Bugs fixed: bgo#509637, bgo#510229, bgo#511478, bgo#511810,
    bgo#512899, bgo#513167, bgo#514307, bgo#514623, bgo#514937,
    bgo#515654, bgo#516246, bgo#517420, bgo#517991, bgo#518039,
    bgo#518162, bgo#518940, bgo#519906, bgo#519916, bgo#520523,
    bgo#521743, bgo#522625, bgo#523054, bgo#511825, and bgo#520300.
* Wed Feb  6 2008 maw@suse.de
- Update to version 0.10.17:
  + Work around ABI breakge due to unfortunate use of the
    GST_DISABLE_DEPRECATED macro
  + Export two missino functions needed for the win32 build
  + Initialize the GstRingBuffer GType in a thread-safe context
  + Bugs fixed: bgo#511825, bgo#513018, and bgo#512334.
* Tue Feb  5 2008 maw@suse.de
- Update to version 0.10.16:
  + Include decodebin2 and playbin2 APIs -- these are still subject
    to change
  + Handle newer Theora granule-pos semantics
  + Fixes in playbin handling of stream-switching
  + New API for uniform handling of raw-video format buffers.
  + Improvements for RTSP/RTP handling
  + RIFF lib additions for VC-1 and AVC1 fourccs
  + Bugs fixed: bgo#506132, bgo#320984, bgo#373011, bgo#436756,
    bgo#462740, bgo#486840, bgo#497964, bgo#498228, bgo#499697,
    bgo#502497, bgo#503440, bgo#503930, bgo#506928, bgo#508138,
    bgo#509762, bgo#511274, bgo#496731, bgo#496761, and
    bgo#500763
  + API additions
  * New GstVideoFormat API and helper functions in libgstvideo
  * gst_base_audio_sink_set_provide_clock()
  * gst_base_audio_sink_get_provide_clock()
  * gst_base_audio_sink_set_slave_method()
  * gst_base_audio_sink_get_slave_method()
  * gst_base_audio_src_set_provide_clock()
  * gst_base_audio_src_get_provide_clock()
- Build with -fno-strict-aliasing.
* Fri Jan 25 2008 sbrabec@suse.cz
- Renamed shared library bundle to libgstinterfaces-0_10-0.
* Tue Jan 22 2008 sbrabec@suse.cz
- Updated to version 0.10.15:
  * RTP/RTSP/RTCP/SDP support improved
  * New FFT support library libgstfft, based on Kiss FFT
  * New formats supported in volume and audiotestsrc
  * Fixes in audiorate and videorate
  * Audio capture fixes
  * Playbin and decodebin fixes
  * New tagdemux base class for ID3/APE style tag readers
  * Fix a nasty crash in the X sinks on shutdown
  * New tags supported
  * Add support for multichannel WAV files.
  * Preserve channel layout information when up/down-mixing.
  * Many bug-fixes and improvements
  * API additions
- Split package according to shared library packaging policy
  (#223286).
- Created lang package.
* Tue Oct 16 2007 sbrabec@suse.cz
- Removed unneeded backslash expansion in previous change.
* Mon Oct 15 2007 sbrabec@suse.cz
- Worked around OBS spec file corruption bug (#332132).
* Fri Oct  5 2007 sbrabec@suse.cz
- Use less restrictive Requires based on the sources.
* Mon Sep 17 2007 sbrabec@suse.cz
- Updated to version 0.10.14:
  * Audio dither and noise-shaping when reducing bit-depth
  * RTSP and SDP helper libraries added
  * Experimental buffering element "queue2" now supports pull-mode
    and file-based buffering.
  * Support for more 32-bit video pixel layouts
  * Various fixes and improvements
  * RTSP and SDP libraries added
  * gst_rtsp_base64_decode_ip
  * Add buffer clipping function gst_audio_buffer_clip for raw audio
    buffers.
  * gst_mixer_get_mixer_flags
  * gst_mixer_message_parse_mute_toggled
  * gst_mixer_message_parse_record_toggled
  * gst_mixer_message_parse_volume_changed
  * gst_mixer_message_parse_option_changed
  * GstMixerMessageType
  * GstMixerFlags
  * many bug fixes
* Mon Aug 20 2007 abockover@suse.de
- Use %%{_prefix}/lib for opensuse-codecs-installer (BNC #301883)
* Fri Aug 17 2007 abockover@suse.de
- Added Recommends opensuse-codecs-installer
* Thu Aug 16 2007 abockover@suse.de
- Removed gst-install-plugins-helper foo - it is now split out
  into a separate package
- Configure GStreamer to use opensuse-codecs-installer
* Tue Aug  7 2007 abockover@suse.de
- gst-install-plugins-helper: use xdg-open instead of gnome-open;
  added function to check connectivity status; open an offline
  page if not connected; go to online webapp otherwise
- Added an offline web page with some basic information and a link
  to the online webapp at software.opensuse.org
- Fixed typo in spec file
* Fri Aug  3 2007 abockover@suse.de
- Added a basic gst-install-plugins-helper script for GStreamer
  to launch when codecs are missing and application suspport the
  new installation framework hooks. Fate #302459
* Wed Jun 20 2007 sbrabec@suse.cz
- Updated to version 0.10.13:
  * Many fixes and improvements
  * RTP and RTCP support improved
  * Many API additions
* Wed May 16 2007 sbrabec@suse.cz
- Use Supplements instead of not yet supported Enhances.
* Thu Apr 19 2007 schwab@suse.de
- Fix quoting in autoconf macros.
* Tue Mar 27 2007 sbrabec@suse.cz
- Updated to version 0.10.12:
  * New API for on-demand plugin installation
  * API additions
  * Xv thread-safety and configuration enhancements
  * decodebin2 improvements
  * Support more raw audio format conversions
  * Improvements in Ogg support
  * AudioFilter base class ported to 0.10
  * Fixes for subtitles
  * Latency/live-playback support for Alsa
  * Lots of bug fixes and improvements
* Tue Feb 13 2007 sbrabec@suse.cz
- Do not build unusable static libraries (#238552#c17).
* Tue Dec 19 2006 sbrabec@suse.cz
- Merged back oil and visual subpackages (#223286).
* Mon Dec 18 2006 sbrabec@suse.cz
- Prefix changed to /usr.
- Spec file cleanup.
* Tue Nov  7 2006 abockover@suse.de
- Updated to version 0.10.10
  * Scores of bug fixes
  * Subtitle fixes
  * Support for images in tags
  * Playback improvements
  * Gnomevfssrc supports burn:// URIs
  * Video scale supports more RGBA formats
  * New elements: gdppay, gdpdepay
* Fri Jun 16 2006 sbrabec@suse.cz
- Updated to version
  * many bug-fixes
  * QoS in sinks and transform elements
  * Needs GStreamer 0.10.5 for new GstBaseSink::async_playback()
  * added theoraparse element
  * typefind improvements
  * Ice-cast metadata support has moved from gnomevfssrc to the
    icydemux element in gst-plugins-good
  * audioresample now supports floating point samples
  * Fixes for network playback and audio resampling in playbin
* Sat Apr  8 2006 jpr@suse.de
- Split out libvisual dependent plugin/app into a separate package
* Fri Apr  7 2006 jpr@suse.de
- Split out oil dependent plugins into a separate package
* Fri Mar 24 2006 jpr@suse.de
- Update to version 0.10.5
- Changes since 0.10.4:
  * 334216 : [gnomevfssrc] won't open some media on NFS mounts any longer
  * 334226 : typefindfunctions plugin crashes on PPC on registration
* Mon Mar 20 2006 schwab@suse.de
- Fix uninitialized pointer.
* Fri Mar 10 2006 jpr@suse.de
- update to version 0.10.4
- Changes since 0.10.3:
  * (Experimental) QoS support
  * oggmuxer now creates 100%% valid streams for Theora, Vorbis and Speex
  * documentation updates
  * better support for subtitles (seeking)
  Bugs fixed since 0.10.3:
  * 310202 : [subtitles] < i >  < /i > tags and others should be supported i...
  * 312439 : XVideo output doesn't work on remote displays (probably r...
  * 321271 : audio output is truncated at EOS
  * 321650 : Can't decode this ogm file
  * 325732 : [oggdemux] problem when seeking to time less than 4s with...
  * 325972 : [typefinding] doesn't recognise this mp3
  * 326720 : [alsasink] doesn't support more than 2 channels anymore
  * 330711 : [ffmpegcolorspace] problems with palettized RGB (fencount...
  * 330789 : gstbaseaudiosink causes noise on seeking
  * 330888 : Fix build with gcc 2.95 (again)
  * 331295 : gnomevfssink doesn't respect umask when creating files
  * 331526 : 3GP type detection is too simple
  * 331678 : Decodebin is not reusable within a single pipeline (as in...
  * 331690 : playbin won't play my last.fm stream
  * 331763 : [alsamixer] unmute sets the volume to 100%%
  * 331765 : [alsamixer] mixer applet slider doesn't want to move from...
  * 331903 : [videorate] doesnt handle input caps of framerate=0/1 sanely
  * 332778 : [ogmparse] " Already an existing pad " WARNING
  * 332964 : random crashes in mp3_type_find
  * 333254 : theora encoder does not set IN_CAPS flag properly
  * 333352 : [gnomevfssink] reports disk full as generic error
  * 333488 : Allow for palette < 256 colours in AVI files
  * 333510 : [PATCH] Fix gst_pad_new_from_template (gst_static_pad_tem...
  * 333545 : [riff] set depth on wma caps to make asfdemux and pitfdll...
  * 333663 : [patch] unref the result of gst_pad_get_parent
  * 333900 : [typefind] cannot play a particular mp3 file
  * 334112 : variable not initialized
  * 334129 : Disable frame dropping for now
  * 317038 : use default channel layout if none is specified in multic...
  * 319340 : [cdparanoia] uncorrected-error signal never fired
* Fri Feb 24 2006 jpr@suse.de
- update to version 0.10.3
- Changes since 0.10.2:
  * typefind improvements
  * Ogg decoding and encoding fixes
  * Improved audio and video sink classes
  * Bug and leak fixes
  * Improved video scaling
  * On-the-fly visualisation switching
  * Subtitle support
  Bugs fixed since 0.10.2:
  * 330244 : gsttextoverlay.c:895: 'struct _GstCollectData' has no mem...
  * 324000 : [playbin] post error or message on unknown input
  * 153004 : [typefind] can't identify mp3 file with one single mpeg f...
  * 323874 : [playbin] leaks sinks and threads when using gconfaudiosink
  * 324626 : ffmpegcolorspace support for fourcc " UYVY "
  * 326447 : check that all elements in -base pass queries they can't ...
  * 328263 : Fix build with gcc 2.95
  * 328279 : [decodebin] timeout issue when pre-rolling
  * 329326 : Fix oggmux removing pads from collect pads
* Thu Feb 23 2006 danw@suse.de
- remove dependency on gamin, which is no longer needed (related
  to #128037)
* Tue Feb 14 2006 sbrabec@suse.cz
- Fixed Requires.
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Wed Jan 18 2006 sbrabec@suse.cz
- Updated to version 0.10.2.
* Wed Jan  4 2006 sbrabec@suse.cz
- Force-enabled unstable cdparanoia plugin.
* Wed Jan  4 2006 sbrabec@suse.cz
- New SuSE package, version 0.10.1.
